Package org.eclipse.lemminx.dom

## Class DTDDeclParameter

- java.lang.Object
- - org.eclipse.lemminx.dom.DTDDeclParameter

All Implemented Interfaces:
  `DOMRange`, `TargetRange`

    public class DTDDeclParameter
    extends Object
    implements DOMRange, TargetRange

DTDDeclParameter

### Constructor Summary

Constructors
`DTDDeclParameter​(DTDDeclNode ownerNode, int start, int end)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`int` `getEnd()` Returns the end offset of the node.
`DOMDocumentType` `getOwnerDocType()`
`DOMDocument` `getOwnerDocument()` Returns the owner document.
`DTDDeclNode` `getOwnerNode()`
`String` `getParameter()`
`String` `getParameterWithoutFirstAndLastChar()` Will get the parameter with the first and last character removed Can be used to remove the quotations from a URL value...
`int` `getStart()` Returns the start offset of the node.
`org.eclipse.lsp4j.Range` `getTargetRange()` Returns the target range.
`String` `getTargetURI()` Returns the target URI.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DTDDeclParameter

    public DTDDeclParameter​(DTDDeclNode ownerNode,
                            int start,
                            int end)

### Method Detail

#### getStart

    public int getStart()

Description copied from interface: `DOMRange`
Returns the start offset of the node.

Specified by:
  `getStart` in interface `DOMRange`
Returns:
  the start offset of the node.

#### getEnd

    public int getEnd()

Description copied from interface: `DOMRange`
Returns the end offset of the node.

Specified by:
  `getEnd` in interface `DOMRange`
Returns:
  the end offset of the node.

#### getOwnerDocument

    public DOMDocument getOwnerDocument()

Description copied from interface: `DOMRange`
Returns the owner document.

Specified by:
  `getOwnerDocument` in interface `DOMRange`
Returns:
  the owner document.

#### getOwnerDocType

    public DOMDocumentType getOwnerDocType()

#### getOwnerNode

    public DTDDeclNode getOwnerNode()

#### getParameter

    public String getParameter()

#### getParameterWithoutFirstAndLastChar

    public String getParameterWithoutFirstAndLastChar()

Will get the parameter with the first and last character removed Can be used to remove the quotations from a URL value...

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### getTargetRange

    public org.eclipse.lsp4j.Range getTargetRange()

Description copied from interface: `TargetRange`
Returns the target range.

Specified by:
  `getTargetRange` in interface `TargetRange`
Returns:
  the target range.

#### getTargetURI

    public String getTargetURI()

Description copied from interface: `TargetRange`
Returns the target URI.

Specified by:
  `getTargetURI` in interface `TargetRange`
Returns:
  the target URI.